package com.backfire.room.data;

public class HandlerMsg {
	
	public static final int MSG_READY = 1; // 准备
	public static final int MSG_LEAVE = 2; // 离开
	public static final int MSG_ONE = 3; // 一倍
	public static final int MSG_TWO = 4; // 二倍
	public static final int MSG_THREE = 5; // 三倍
	public static final int MSG_GRAB = 6; // 抢地主
	public static final int MSG_NO_GRAB = 7; // 不抢
	public static final int MSG_PASS = 8; // 不出
	public static final int MSG_RE_SELECT = 9; // 重选
	public static final int MSG_PROMPT = 10; // 提示
	public static final int MSG_PLAY = 11; // 出牌
	public static final int MSG_DISPOSIT=12;//托管
	public static final int MSG_TOOLS=13;//道具
	public static final int MSG_CHAT=14;//聊天
	public static final int MSG_SET=15;//设置
	public static final int MSG_ADD_VCOIN=16;//补充元宝
	public static final int MSG_RECHARGE=17;//充值
	public static final int MSG_CENTER_LEAVE=18;//中间位置离开
	public static final int MSG_CANCEL_DESPOSITE=19;//取消托管
	public static final int MSG_SETTLE_ACCOUNT_EXIT=20;//结算退出
	public static final int MSG_SETTLE_ACCOUNT_REFIGHT=21;//结算再战
	public static final int[] MSG_INFOS={22,23,24};
	
	public static final int User_Grab_Dealer 			= 103;
	public static final int User_No_Dealer 				= 104;
	public static final int User_Muti_One 				= 105;
	public static final int User_Muti_Two 				= 106;
	public static final int User_Muti_Five 				= 107;
	public static final int User_Muti_Ten 				= 108;
	public static final int User_Look 					= 109;
	public static final int User_Bull_tip 				= 110;
	public static final int User_Change_room 			= 111;
	public static final int switch_card 				= 112;
	
	public static final int Server_Need_Ready 			= 201;
	public static final int Server_Other_Look 			= 202;
	public static final int Server_Finish_Game			= 203;
	public static final int Server_other_Ready			= 204;
	public static final int Server_other_Grab			= 205;
	public static final int Server_Dealer_Card			= 206;
	public static final int Server_Need_Muti			= 207;
	
	public static final int Click_Seat_One				= 301;
	public static final int Click_Seat_Two				= 302;
	public static final int Click_Seat_Three			= 303;
	
	public static final int Notify_user_wait			= 401;
	public static final int Notify_user_grab			= 402;
	public static final int Notify_user_muti			= 403;
	public static final int Notify_user_look			= 404;
	public static final int Notify_can_switch			= 405;
	public static final int Re_Notify_user_look			= 406;
	
	public static final int Show_Settlement_Window 		= 501;
	public static final int Show_Chat_Window 			= 502;
	public static final int onNetworkError              = 503;
	public static final int Game_Result_Animation 		= 504;
	public static final int Alert_Message 				= 505;
	public static final int Close_Settlement_Window 	= 506;
	public static final int Win_Money_ani 				= 507;
	
//	public static final int STEP_ONE 					= 601;
//	public static final int STEP_TWO 					= 602;
//	public static final int STEP_THREE              	= 603;
//	public static final int STEP_FOUR 					= 604;
//	public static final int STEP_FIVE 					= 605;
//	public static final int STEP_SIX 					= 606;
//	public static final int STEP_SEVEN 					= 607;
//	public static final int STEP_EIGHT 					= 608;
//	public static final int STEP_NINE					= 609;
//	public static final int STEP_TEN 					= 610;
//	public static final int STEP_ELEVEN					= 611;
//	public static final int STEP_TWEVEL					= 612;
//	public static final int STEP_THIRTEEN				= 613;
//	public static final int STEP_FORTEEN				= 614;
//	public static final int STEP_FIFTEEN				= 615;
//	public static final int STEP_SIXTEEN				= 616;
//	public static final int STEP_SEVENTEEN				= 617;
//	public static final int STEP_EIGHTEEN				= 618;
//	public static final int STEP_NINTEEN				= 619;
	
	public static final int CHECK_GOODS 				= 701;
}
