package com.backfire.doudizhu.common;


/**   
 * @Title: AudioConfig.java
 * @Package com.backfire.doudizhu.common
 * @Description: TODO(用一句话描述该文件做什么)
 * @author Potter
 * @date 2013-10-7 下午8:58:11
 * @version V2.0   
 */
public interface AudioConfig {
	public static final String mainPath="sound/";
	
	public static final String kCommonBg = mainPath+"common_bg.ogg";
	public static final String kInRoomBg = mainPath+"playing_bg.ogg";
	public static final String kWin = mainPath+"win.ogg";
	public static final String kLose = mainPath+"lose.ogg";
	public static final String kSelectCard = mainPath+"select.ogg";
	public static final String kSelectMenu = mainPath+"menuselect.ogg";
	public static final String kWrong = mainPath+"wrong.ogg";

	public static final String kBoyVoicePath = mainPath+"boy/";
	public static final String kGirlVoicePath = mainPath+"girl/";
	
	public static final String kAnimVoicePath = mainPath + "anim/";
	

	//单张
	public static final String kSingleVoices[] = 
	{ 
	    "3.ogg","4.ogg", "5.ogg", "6.ogg",
	    "7.ogg", "8.ogg", "9.ogg", "10.ogg",
	    "J.ogg", "Q.ogg", "K.ogg", "A.ogg",
	    "2.ogg", "sking.ogg", "bking.ogg"
	};

	//对子
	public static final String kPairVoices[] = 
	{
	    "d3.ogg", "d4.ogg", "d5.ogg", "d6.ogg",
	    "d7.ogg", "d8.ogg", "d9.ogg", "d10.ogg",
	    "dJ.ogg", "dQ.ogg", "dK.ogg", "dA.ogg",
	    "d2.ogg"
	};

	//三张
	public static final String k3Dai0 = "30.ogg";
	//三带一
	public static final String k3Dai1 = "31.ogg";
	//三带二
	public static final String k3Dai2 = "32.ogg";
	//炸弹
	public static final String kBomb = "bomb.ogg";
	//四带二
	public static final String k4Dai2 = "411.ogg";
	//四带双对
	public static final String k4Dai2Dui = "422.ogg";
	//火箭
	public static final String kRocket = "rocket.ogg";

	//顺子
	public static final String kShunzi = "1sequence.ogg";
	//连对
	public static final String kLianDui = "2sequence.ogg";
	//飞机
	public static final String kFeiji = "3sequence.ogg";
	//顶天顺
	public static final String kDingtianShun = "bsequence.ogg";

	//叫地主
	public static final String kCall = "call.ogg";
	public static final String kNotCall = "nocall.ogg";

	//抢地主
	public static final String kGrab = "grab.ogg";
	public static final String kNotGrab = "nograb.ogg";

	//管上
	public static final String kControl = "control.ogg";
	//过
	public static final String kPass = "pass.ogg";
	public static final String kPass1 = "pass-1.ogg";
	// 开始了
	// public static final String kGameStart = "begin.ogg";

	// --------------------动画音效--------------------------------
	public static final String kAnimBomb = kAnimVoicePath + "bomb.ogg";
	public static final String kAnimChain = kAnimVoicePath + "chain.ogg";
	public static final String kAnimChainPair = kAnimVoicePath
			+ "chainpair.ogg";
	public static final String kAnimPlane = kAnimVoicePath + "plane.ogg";
	public static final String kAnimRocket = kAnimVoicePath + "rocket.ogg";
}
