package com.backfire.php;

/**
 * @author wf
 *
 */
public final class PHPMethodName {
	/** 是否需要升级请求 */
	public static final int CLI_UPGRADE_REQ      = 101;
	/** 登录请求 */
	public static final int CLI_LOGIN_REQ      = 102;
	/** 请求获取一些辅助信息，比如登录奖励、在线人数等 */
	public static final int CLI_ASSISTINFO_REQ      = 103;
	/**  获取登录奖励 */
	public static final int CLI_AWARD_REQ      = 104;

	/** 请求获取用户当前的金币，积分，彩券，无敌卡，提示次数及每次抽奖所需彩券 */
	public static final int CLI_USERINFO_REQ      = 105;
	
	/** 修改昵称 */
	public static final int CLI_MODIFYUSER_REQ      = 106;
	
	/** 获取跑马灯数据 */
	public static final int CLI_MARQUEE_REQ      = 201;
	
	
	/** 获取进入房间 */
	public static final int CLI_TABLE_REQ      = 301;
	
//	/** 获取该类型房间 */
	public static final int CLI_COURT_LIST_REQ      = 302;
	
	/** 快速开始获取房间 */
	public static final int CLI_QUICK_START_REQ      = 303;
	
	
//	/** 获取桌子提示 */
//	public static final int CLI_TABLE_MSG_REQ      = 305;


	/** 请求获取商品列表 */
	public static final int CLI_PRODUCTLIST_REQ      = 401;
	/** 获取充值所需的商品信息 */
	public static final int CLI_SINGLEITEM_REQ      = 402;
	/** 购买提示所需的商品信息 */
	public static final int CLI_CHECK_GOODS_REQ      = 403;
	/** 直接购买商品信息 */
	public static final int CLI_DIRECT_BUY_REQ      = 404;
	
	public static final int CLI_CONFIRM_GOODS_FAILED_REQ      = 405;

	/**财富排行榜 */
	public static final int CLI_MONET_LIST_REQ  = 501;
	/**购买排行榜 */
	public static final int CLI_BUY_LIST_REQ  = 502;
	

	/** 获取活动列表 */
	public static final int CLI_EXER_REQ      = 601;
	/**幸运大转盘信息获取*/
	public static final int CLI_LUCK_TURN_TABLE  = 602;
	/**幸运大转盘抽奖*/
	public static final int CLI_LUCK_DRAW  = 603;
	/**积分兑换奖券列表请求*/
	public static final int CLI_PARSER_LIST_REQ      = 604;
	/**积分兑换奖券请求*/
	public static final int CLI_PARSER_REQ      = 605;
	/**兑换历史*/
	public static final int CLI_EXCHANGE_RECORD_INTEGRAL  = 606;

	/** 提交反馈信息 */
	public static final int CLI_SUBMIT_FEED_BACK_REQ      = 701;
	public static final int CLI_GAME_RULE_REQ      = 702;
	public static final int CLI_COMMON_REQ      = 703;

	/** 获取破产奖励次数 */
	public static final int CLI_COLLAPSE_TIMES_REQ      = 801;

	
	public static final int CLI_TASK_LIST_REQ      = 901;
	
	public static final int CLI_ALIPAY_TASK_REQ      = 902;
	
	public static final int CLI_ALIPAY_NUM_REQ      = 903;
	
	public static final int CLI_GIFT_LIST_REQ      = 904;
	
	public static final int CLI_ALIPAY_GIFT_REQ      = 905;
}


